Bug 1445894 - Unable to create ansible playbook catalog item
Summary: Unable to create ansible playbook catalog item
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.8.0
Hardware: All
OS: All
high
medium
Target Milestone: GA
: 5.8.0
Assignee: Drew Bomhof
QA Contact: Dmitry Misharov
URL:
Whiteboard: ui:ansible:service
Depends On: 1442006
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-26 17:40 UTC by Satoe Imaishi
Modified: 2017-05-31 15:01 UTC (History)
10 users (show)

Fixed In Version: 5.8.0.13
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1442006
Environment:
Last Closed: 2017-05-31 15:01:50 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-26 21:01:02 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/b82c87a1f49f94afcc94570eb8db5f11c651b924

commit b82c87a1f49f94afcc94570eb8db5f11c651b924
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Tue Apr 25 17:30:30 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Apr 26 16:57:06 2017 -0400

    Merge pull request #14830 from syncrou/deux_1438839_create_or_delete_catalog_item_on_update
    
    Create or delete a catalog item on update
    (cherry picked from commit 258dd189206418143b9f948bbc93aefac972ee66)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1445894
    https://bugzilla.redhat.com/show_bug.cgi?id=1445942

 app/models/service_template_ansible_playbook.rb    | 81 ++++++++++++++++------
 .../service_template_ansible_playbook_spec.rb      | 30 +++++++-
 2 files changed, 87 insertions(+), 24 deletions(-)

Comment 3 Dmitry Misharov 2017-05-03 07:28:38 UTC
Verified in 5.8.0.13-rc2.20170502165848_0f98658. A catalog item can be created if a catalog item with the same name existed before.

Comment 5 errata-xmlrpc 2017-05-31 15:01:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.